Subject: Re: [PATCH] HTB updates class's bstats in one place

From: Patrick McHardy <[email-masked]>
Date: Wed, 29 Oct 2008 10:01:01 +0100

Changli Gao wrote:
> This patch make HTB update class's bstats in one place when dequeuing
> packets instead of updating the leaf's when enqueuing and updating the
> other's when dequeuing. It also fixes a statistics bug, the statistics
> data of leaf class will exceeds its parent classes's due to packets are
> dropped by its inner qdisc.

They should actually all be updated in enqueue. The estimators needs
this since they're estimating the arrival rate.